Index: src/mlx/gui/timetable.py
===================================================================
--- src/mlx/gui/timetable.py	(revision 879)
+++ src/mlx/gui/timetable.py	(revision 919)
@@ -4,5 +4,5 @@
 
 from mlx.gui.common import *
-from flightlist import ColumnDescriptor
+from .flightlist import ColumnDescriptor
 from mlx.rpc import ScheduledFlight
 
@@ -249,6 +249,6 @@
                     self._tooltips.set_tip(widget, "")
                     self._tooltips.disable()
-        except Exception, e:
-            print e
+        except Exception as e:
+            print(e)
             self._tooltips.set_tip(widget, "")
             self._tooltips.disable()
@@ -656,5 +656,5 @@
             typeFamilies.add(const.aircraftType2Family(aircraftType))
 
-        for (typeFamily, checkButton) in self._typeFamilyButtons.iteritems():
+        for (typeFamily, checkButton) in self._typeFamilyButtons.items():
             checkButton.set_sensitive(typeFamily in typeFamilies)
 
@@ -712,5 +712,5 @@
         """Update the timetable list."""
         aircraftTypes = []
-        for (aircraftFamily, button) in self._typeFamilyButtons.iteritems():
+        for (aircraftFamily, button) in self._typeFamilyButtons.items():
             if button.get_active():
                 aircraftTypes += const.aircraftFamily2Types[aircraftFamily]
Index: src/mlx/gui/weighthelp.py
===================================================================
--- src/mlx/gui/weighthelp.py	(revision 899)
+++ src/mlx/gui/weighthelp.py	(revision 303)
@@ -56,5 +56,5 @@
 
         
-        self._weightsTable = table = gtk.Table(17, 5)
+        self._weightsTable = table = gtk.Table(16, 5)
         table.set_homogeneous(False)
         table.set_row_spacings(4)
@@ -91,33 +91,17 @@
         
 
-        self._cockpitCrewLabel = \
-          gtk.Label(xstr("weighthelp_cockpit_crew") % ("99",))
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._cockpitCrewLabel)
+        self._crewLabel = gtk.Label(xstr("weighthelp_crew") % ("99",))
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._crewLabel)
         table.attach(alignment, 0, 1, 1, 2)
 
-        self._cockpitCrewWeight = gtk.Label("0")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._cockpitCrewWeight)
+        self._crewWeight = gtk.Label("0")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._crewWeight)
         table.attach(alignment, 1, 2, 1, 2)
         
         table.attach(gtk.Label("kg"), 2, 3, 1, 2)
-
-        self._cabinCrewLabel = \
-          gtk.Label(xstr("weighthelp_cabin_crew") % ("99",))
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._cabinCrewLabel)
-        table.attach(alignment, 0, 1, 2, 3)
-
-        self._cabinCrewWeight = gtk.Label("0")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._cabinCrewWeight)
-        table.attach(alignment, 1, 2, 2, 3)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 2, 3)
 
         text = xstr("weighthelp_pax") % ("999",)
@@ -128,15 +112,29 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._paxLabel)
+        table.attach(alignment, 0, 1, 2, 3)
+
+        self._paxWeight = gtk.Label("20000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._paxWeight)
+        table.attach(alignment, 1, 2, 2, 3)
+        
+        table.attach(gtk.Label("kg"), 2, 3, 2, 3)
+        
+        label = gtk.Label(xstr("weighthelp_baggage"))
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(label)
         table.attach(alignment, 0, 1, 3, 4)
 
-        self._paxWeight = gtk.Label("20000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._paxWeight)
+        self._bagWeight = gtk.Label("2000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._bagWeight)
         table.attach(alignment, 1, 2, 3, 4)
         
         table.attach(gtk.Label("kg"), 2, 3, 3, 4)
         
-        label = gtk.Label(xstr("weighthelp_baggage"))
+        label = gtk.Label(xstr("weighthelp_cargo"))
         alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
@@ -144,13 +142,13 @@
         table.attach(alignment, 0, 1, 4, 5)
 
-        self._bagWeight = gtk.Label("2000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._bagWeight)
+        self._cargoWeight = gtk.Label("2000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._cargoWeight)
         table.attach(alignment, 1, 2, 4, 5)
         
         table.attach(gtk.Label("kg"), 2, 3, 4, 5)
         
-        label = gtk.Label(xstr("weighthelp_cargo"))
+        label = gtk.Label(xstr("weighthelp_mail"))
         alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
@@ -158,27 +156,13 @@
         table.attach(alignment, 0, 1, 5, 6)
 
-        self._cargoWeight = gtk.Label("2000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._cargoWeight)
+        self._mailWeight = gtk.Label("2000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._mailWeight)
         table.attach(alignment, 1, 2, 5, 6)
         
         table.attach(gtk.Label("kg"), 2, 3, 5, 6)
-        
-        label = gtk.Label(xstr("weighthelp_mail"))
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(label)
-        table.attach(alignment, 0, 1, 6, 7)
-
-        self._mailWeight = gtk.Label("2000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._mailWeight)
-        table.attach(alignment, 1, 2, 6, 7)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 6, 7)
-
-        table.attach(gtk.HSeparator(), 1, 2, 7, 8)
+
+        table.attach(gtk.HSeparator(), 1, 2, 6, 7)
 
         label = gtk.Label("<b>" + xstr("weighthelp_payload") + "</b>")
@@ -187,5 +171,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 8, 9)
+        table.attach(alignment, 0, 1, 7, 8)
 
         self._payload = gtk.Label("<b>32000</b>")
@@ -194,7 +178,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._payload)
-        table.attach(alignment, 1, 2, 8, 9)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 8, 9)
+        table.attach(alignment, 1, 2, 7, 8)
+        
+        table.attach(gtk.Label("kg"), 2, 3, 7, 8)
 
         self._fsPayload = gtk.Label("<b>32001</b>")
@@ -203,34 +187,34 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsPayload)
+        table.attach(alignment, 3, 4, 7, 8)
+        
+        table.attach(gtk.Label("kg"), 4, 5, 7, 8)
+
+        label = gtk.Label(xstr("weighthelp_dow"))
+        label.set_use_markup(True)
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(label)
+        table.attach(alignment, 0, 1, 8, 9)
+
+        self._dow = gtk.Label("35000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._dow)
+        table.attach(alignment, 1, 2, 8, 9)
+        
+        table.attach(gtk.Label("kg"), 2, 3, 8, 9)
+
+        self._fsDOW = gtk.Label("33012")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._fsDOW)
         table.attach(alignment, 3, 4, 8, 9)
         
         table.attach(gtk.Label("kg"), 4, 5, 8, 9)
 
-        label = gtk.Label(xstr("weighthelp_dow"))
-        label.set_use_markup(True)
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(label)
-        table.attach(alignment, 0, 1, 9, 10)
-
-        self._dow = gtk.Label("35000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._dow)
-        table.attach(alignment, 1, 2, 9, 10)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 9, 10)
-
-        self._fsDOW = gtk.Label("33012")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._fsDOW)
-        table.attach(alignment, 3, 4, 9, 10)
-        
-        table.attach(gtk.Label("kg"), 4, 5, 9, 10)
-
-        table.attach(gtk.HSeparator(), 1, 2, 10, 11)
-
-        table.attach(gtk.HSeparator(), 3, 4, 10, 11)
+        table.attach(gtk.HSeparator(), 1, 2, 9, 10)
+
+        table.attach(gtk.HSeparator(), 3, 4, 9, 10)
 
         label = gtk.Label("<b>" + xstr("weighthelp_zfw") + "</b>")
@@ -239,5 +223,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 11, 12)
+        table.attach(alignment, 0, 1, 10, 11)
 
         self._zfw = gtk.Label("<b>122000</b>")
@@ -246,7 +230,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._zfw)
-        table.attach(alignment, 1, 2, 11, 12)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 11, 12)
+        table.attach(alignment, 1, 2, 10, 11)
+        
+        table.attach(gtk.Label("kg"), 2, 3, 10, 11)
 
         self._fsZFW = gtk.Label("<b>124000</b>")
@@ -255,9 +239,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsZFW)
-        table.attach(alignment, 3, 4, 11, 12)
-        
-        table.attach(gtk.Label("kg"), 4, 5, 11, 12)
-
-        table.attach(gtk.HSeparator(), 0, 5, 12, 13)
+        table.attach(alignment, 3, 4, 10, 11)
+        
+        table.attach(gtk.Label("kg"), 4, 5, 10, 11)
+
+        table.attach(gtk.HSeparator(), 0, 5, 11, 12)
         
         label = gtk.Label(xstr("weighthelp_gross"))
@@ -266,15 +250,30 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
+        table.attach(alignment, 0, 1, 12, 13)
+
+        self._fsGross = gtk.Label("124000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._fsGross)
+        table.attach(alignment, 3, 4, 12, 13)
+        
+        table.attach(gtk.Label("kg"), 4, 5, 12, 13)
+
+        label = gtk.Label(xstr("weighthelp_mzfw"))
+        label.set_use_markup(True)
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(label)
         table.attach(alignment, 0, 1, 13, 14)
 
-        self._fsGross = gtk.Label("124000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._fsGross)
-        table.attach(alignment, 3, 4, 13, 14)
-        
-        table.attach(gtk.Label("kg"), 4, 5, 13, 14)
-
-        label = gtk.Label(xstr("weighthelp_mzfw"))
+        self._mzfw = gtk.Label("35000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._mzfw)
+        table.attach(alignment, 1, 2, 13, 14)
+        
+        table.attach(gtk.Label("kg"), 2, 3, 13, 14)
+
+        label = gtk.Label(xstr("weighthelp_mtow"))
         label.set_use_markup(True)
         alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
@@ -283,13 +282,13 @@
         table.attach(alignment, 0, 1, 14, 15)
 
-        self._mzfw = gtk.Label("35000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._mzfw)
+        self._mtow = gtk.Label("35000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._mtow)
         table.attach(alignment, 1, 2, 14, 15)
         
         table.attach(gtk.Label("kg"), 2, 3, 14, 15)
 
-        label = gtk.Label(xstr("weighthelp_mtow"))
+        label = gtk.Label(xstr("weighthelp_mlw"))
         label.set_use_markup(True)
         alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
@@ -298,26 +297,11 @@
         table.attach(alignment, 0, 1, 15, 16)
 
-        self._mtow = gtk.Label("35000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._mtow)
+        self._mlw = gtk.Label("35000")
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+                                  xscale = 0.0, yscale = 0.0)
+        alignment.add(self._mlw)
         table.attach(alignment, 1, 2, 15, 16)
         
         table.attach(gtk.Label("kg"), 2, 3, 15, 16)
-
-        label = gtk.Label(xstr("weighthelp_mlw"))
-        label.set_use_markup(True)
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(label)
-        table.attach(alignment, 0, 1, 16, 17)
-
-        self._mlw = gtk.Label("35000")
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
-                                  xscale = 0.0, yscale = 0.0)
-        alignment.add(self._mlw)
-        table.attach(alignment, 1, 2, 16, 17)
-        
-        table.attach(gtk.Label("kg"), 2, 3, 16, 17)
 
         self.show_all()
@@ -338,12 +322,7 @@
         self._weightsTable.set_sensitive(False)
         
-        self._cockpitCrew = -1
-        self._cabinCrew = -1
+        self._crew = -1
         self._pax = -1
-        self._dowCockpit = 2
-        self._cockpitCrewMemberWeight = 85.0
-        self._dowCabin = 2
-        self._cabinCrewMemberWeight = 75.0
-        self._humanWeight = 84.0
+        self._humanWeight = 82.0
         self._bag = -1
         self._cargo = -1
@@ -364,21 +343,11 @@
     def _setupCalculated(self):
         """Setup the labels for the calculated values."""
-        if self._cockpitCrew<0:
-            self._cockpitCrewLabel.set_text(xstr("weighthelp_cockpit_crew") % ("-",))
-            self._cockpitCrewWeight.set_text("-")
-        else:
-            self._cockpitCrewLabel.set_text(xstr("weighthelp_cockpit_crew") %
-                                            (str(self._cockpitCrew),))
-            crewWeight = (self._cockpitCrew - self._dowCockpit) * self._cockpitCrewMemberWeight
-            self._cockpitCrewWeight.set_text("%.0f" % (crewWeight,))
-            
-        if self._cabinCrew<0:
-            self._cabinCrewLabel.set_text(xstr("weighthelp_cabin_crew") % ("-",))
-            self._cabinCrewWeight.set_text("-")
-        else:
-            self._cabinCrewLabel.set_text(xstr("weighthelp_cabin_crew") %
-                                          (str(self._cabinCrew),))
-            crewWeight = (self._cabinCrew - self._dowCabin) * self._cabinCrewMemberWeight
-            self._cabinCrewWeight.set_text("%.0f" % (crewWeight,))
+        if self._crew<0:
+            self._crewLabel.set_text(xstr("weighthelp_crew") % ("-",))
+            self._crewWeight.set_text("-")
+        else:
+            self._crewLabel.set_text(xstr("weighthelp_crew") % (str(self._crew),))
+            crewWeight = self._crew * self._humanWeight
+            self._crewWeight.set_text("%.0f" % (crewWeight,))
             
         if self._pax<0:
@@ -454,15 +423,10 @@
         It returns a tuple with these two items. If any of the items cannot be
         calculated, that is -1."""
-        if self._cockpitCrew<0 or self._cabinCrew<0 or self._pax<0 or \
+        if self._crew<0 or self._pax<0 or \
                self._bag<0 or self._cargo<0 or self._mail<0:
             payload = -1
         else:
-            payload = \
-              (self._cockpitCrew - self._dowCockpit) * \
-              self._cockpitCrewMemberWeight + \
-              (self._cabinCrew - self._dowCabin) * \
-              self._cabinCrewMemberWeight + \
-              self._pax * self._humanWeight + \
-              self._bag + self._cargo + self._mail
+            payload = (self._crew + self._pax) * self._humanWeight + \
+                      self._bag + self._cargo + self._mail
 
         if payload<0 or self._dowValue<0:
@@ -480,6 +444,5 @@
         self._gui.logger.untimedMessage("The weight calculation help function was used by the pilot")
 
-        self._cockpitCrew = self._gui.numCockpitCrew
-        self._cabinCrew = self._gui.numCabinCrew
+        self._crew = self._gui.numCrew
         self._pax = self._gui.numPassengers
         self._bag = self._gui.bagWeight
@@ -488,8 +451,4 @@
         
         aircraft = self._gui.flight.aircraft
-        self._dowCockpit = aircraft.dowCockpit
-        self._cockpitCrewMemberWeight = aircraft.cockpitCrewWeight
-        self._dowCabin = aircraft.dowCabin
-        self._cabinCrewMemberWeight = aircraft.cabinCrewWeight
         self._humanWeight = aircraft.humanWeight
         self._dowValue = aircraft.dow
Index: src/mlx/i18n.py
===================================================================
--- src/mlx/i18n.py	(revision 298)
+++ src/mlx/i18n.py	(revision 919)
@@ -24,5 +24,5 @@
 def setLanguage(programDirectory, language):
     """Setup the internationalization support for the given language."""
-    print "i18n.setLanguage", language
+    print("i18n.setLanguage", language)
     translation = _getTranslation(programDirectory, language)
     fallback = _getFallbackFor(programDirectory, language)
Index: src/mlx/logger.py
===================================================================
--- src/mlx/logger.py	(revision 634)
+++ src/mlx/logger.py	(revision 919)
@@ -1,6 +1,6 @@
 
-from fs import sendMessage
-import const
-import util
+from .fs import sendMessage
+from . import const
+from . import util
 
 import sys
@@ -235,5 +235,5 @@
     def debug(self, msg):
         """Log a debug message."""
-        print "[DEBUG]", msg
+        print("[DEBUG]", msg)
 
     def stage(self, timestamp, stage):
@@ -326,5 +326,5 @@
         """Get the rating of the flight so far."""
         totalScore = 100
-        for fault in self._faults.itervalues():
+        for fault in self._faults.values():
             score = fault.score
             if score==Logger.NO_GO_SCORE:
Index: src/mlx/mlx.py
===================================================================
--- src/mlx/mlx.py	(revision 800)
+++ src/mlx/mlx.py	(revision 919)
@@ -1,9 +1,9 @@
 
-from config import Config
-from i18n import setLanguage
-from sound import preInitializeSound, initializeSound, finalizeSound
-from util import secondaryInstallation
-from const import VERSION
-from watchdog import Watchdog
+from .config import Config
+from .i18n import setLanguage
+from .sound import preInitializeSound, initializeSound, finalizeSound
+from .util import secondaryInstallation
+from .const import VERSION
+from .watchdog import Watchdog
 
 import os
@@ -60,5 +60,5 @@
 def main():
     """The main operation of the program."""
-    from singleton import SingleInstance, raiseCallbackWrapper
+    from .singleton import SingleInstance, raiseCallbackWrapper
 
     global instance
@@ -86,6 +86,6 @@
     sys.stderr = StdIOHandler(gui)
 
-    print "MAVA Logger X " + VERSION + " debug log"
-    print "The initial configuration:"
+    print("MAVA Logger X " + VERSION + " debug log")
+    print("The initial configuration:")
     config.log()
 
Index: src/mlx/pirep.py
===================================================================
--- src/mlx/pirep.py	(revision 908)
+++ src/mlx/pirep.py	(revision 919)
@@ -1,8 +1,8 @@
 
-from util import utf2unicode
-from flight import Flight
-
-import const
-import cPickle as pickle
+from .util import utf2unicode
+from .flight import Flight
+
+from . import const
+import pickle as pickle
 import calendar
 import datetime
@@ -65,5 +65,5 @@
     def decodeFlightTypeText(s):
         """Decode the given flight type text."""
-        for (flighType, text) in PIREP._flightTypes.iteritems():
+        for (flighType, text) in PIREP._flightTypes.items():
             if s==text:
                 return flighType
@@ -124,7 +124,7 @@
                     pirep.mailWeight = pirep.bookedFlight.mailWeight
                 return pirep
-        except Exception, e:
-            print "Failed loading PIREP from %s: %s" % (path,
-                                                        utf2unicode(str(e)))
+        except Exception as e:
+            print("Failed loading PIREP from %s: %s" % (path,
+                                                        utf2unicode(str(e))))
             return None
 
@@ -136,6 +136,4 @@
         self.bookedFlight = flight.bookedFlight
 
-        self.numCockpitCrew = flight.numCockpitCrew
-        self.numCabinCrew = flight.numCabinCrew
         self.numCrew = flight.numCrew
         self.numPassengers = flight.numPassengers
@@ -184,7 +182,5 @@
         self.bookedFlight = bookedFlight
 
-        self.numCockpitCrew = int(pirepData["numCockpitCrew"])
-        self.numCabinCrew = int(pirepData["numCabinCrew"])
-        self.numCrew = self.numCockpitCrew + self.numCabinCrew
+        self.numCrew = int(pirepData["numCrew"])
         self.numPassengers = int(pirepData["numPassengers"])
         self.bagWeight = int(pirepData["bagWeight"])
@@ -371,7 +367,7 @@
                 pickle.dump(self, f)
             return None
-        except Exception, e:
+        except Exception as e:
             error = utf2unicode(str(e))
-            print u"Failed saving PIREP to %s: %s" % (path, error)
+            print("Failed saving PIREP to %s: %s" % (path, error))
             return error
 
@@ -385,6 +381,4 @@
         attrs["arrivalICAO"] = self.bookedFlight.arrivalICAO
         attrs["numPassengers"] = self.numPassengers
-        attrs["numCockpitCrew"] = self.numCockpitCrew
-        attrs["numCabinCrew"] = self.numCabinCrew
         attrs["numCrew"] = self.numCrew
         attrs["cargoWeight"] = self.cargoWeight
Index: src/mlx/pyuipc_emu.py
===================================================================
--- src/mlx/pyuipc_emu.py	(revision 298)
+++ src/mlx/pyuipc_emu.py	(revision 919)
@@ -217,9 +217,9 @@
             results.append(int(vs / 60.0 * 0.3048 * 256))
         elif offset==0x0560:  # Latitude
-            results.append(long(latitude*10001750.0*65536.0*65536.0/90.0))
+            results.append(int(latitude*10001750.0*65536.0*65536.0/90.0))
         elif offset==0x0568:  # Longitude
-            results.append(long(longitude*65536.9*65536.0*65536.0*65536.0/360.0))
+            results.append(int(longitude*65536.9*65536.0*65536.0*65536.0/360.0))
         elif offset==0x0570:  # Aircraft altitude in metres (fractional part)
-            results.append(long( (altitude*0.3048*65536*65536)%(65536*65536)))
+            results.append(int( (altitude*0.3048*65536*65536)%(65536*65536)))
         elif offset==0x0574:  # Aircraft altitude in metres (whole part)
             results.append(int(altitude*.3048))
@@ -237,15 +237,15 @@
             centre_fuel = fuel_remaining - 2*side_tank_capacity
             if centre_fuel<0: centre_fuel = 0.0
-            results.append(long(round(centre_fuel/centre_tank_capacity*128.0*65536.0)))
+            results.append(int(round(centre_fuel/centre_tank_capacity*128.0*65536.0)))
         elif offset==0x0b78:  # Centre tank capacity (gallons)
-            results.append(long(round(centre_tank_capacity*KGTOLBS/fuel_weight)))
+            results.append(int(round(centre_tank_capacity*KGTOLBS/fuel_weight)))
         elif offset==0x0b7c or \
              offset==0x0b94:  # Left and right main tank level (%*128*65536)
             fuel = fuel_remaining/2
             if fuel>side_tank_capacity: fuel = side_tank_capacity
-            results.append(long(round(fuel/side_tank_capacity*128.0*65536.0)))
+            results.append(int(round(fuel/side_tank_capacity*128.0*65536.0)))
         elif offset==0x0b80 or \
              offset==0x0b98:  # Left and right main tank capacity (gallons)
-            results.append(long(round(side_tank_capacity*KGTOLBS/fuel_weight)))
+            results.append(int(round(side_tank_capacity*KGTOLBS/fuel_weight)))
         elif offset in [0x0b84, 0x0b88, 0x0b8c, 0x0b90,
                         0x0b9c, 0x0ba0, 0x0ba4, 0x0ba8,
@@ -253,5 +253,5 @@
                         0x1254, 0x1258, 0x125c, 0x1260]:
                               # Other tank capacities and levels
-            results.append(long(0))
+            results.append(int(0))
         elif offset==0x023a:  # Second of time
             results.append(int(tm[5]))
